#
# spec file for package yast2-instserver
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-instserver
Version:        4.0.2
Release:        lp150.1.4

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2
Source1:        inst_server.conf.in

Url:            http://github.com/yast/yast-instserver
# SuSEFirewall2 replaced by firewalld (fate#323460)
BuildRequires:  yast2 >= 4.0.39
BuildRequires:  yast2-devtools >= 3.1.10
BuildRequires:  rubygem(rspec)
BuildRequires:  rubygem(yast-rake)

# SuSEFirewall2 replaced by firewalld (fate#323460)
Requires:       yast2 > 4.0.39
# file conflict, move of ag_content
Conflicts:      yast2 <= 3.3.4

BuildArch:      noarch

Requires:       yast2-ruby-bindings >= 1.0.0

Obsoletes:      yast2-instserver-devel-doc

Summary:        YaST2 - Installation Server Configuration and Management
License:        GPL-2.0+
Group:          System/YaST

%description
This package allows you to configure an installation server suitable
for installaing SUSE Linux over the network. Currently FTP, HTTP and
NFS sources are supported.

%prep
%setup -n %{name}-%{version}

%check
rake test:unit

%build

%install
rake install DESTDIR="%{buildroot}"
install -D %{SOURCE1} %{buildroot}/etc/apache2/conf.d/inst_server.conf.in
mkdir -p %{buildroot}/etc/YaST2/instserver

%files
%defattr(-,root,root)
%dir %{yast_yncludedir}/instserver
%{yast_yncludedir}/instserver/*
%{yast_clientdir}/instserver.rb
%{yast_moduledir}/Instserver.*
%{yast_desktopdir}/instserver.desktop
%{yast_scrconfdir}/*
%{yast_agentdir}/ag_*
/etc/YaST2/instserver
/etc/apache2/conf.d/inst_server.conf.in
%dir /etc/apache2
%dir /etc/apache2/conf.d
%dir %{yast_docdir}
%doc %{yast_docdir}/CONTRIBUTING.md
%doc %{yast_docdir}/COPYING
%doc %{yast_docdir}/README.md

%changelog
* Thu Feb  8 2018 knut.anderssen@suse.com
- Drop xinetd configuration and use systemd sockets instead.
  (fate#323373)
- 4.0.2
* Mon Feb  5 2018 knut.anderssen@suse.com
- Replace SuSEFirewall2 by firewalld (fate#323460)
- 4.0.1
* Thu Oct  5 2017 mvidner@suse.com
- Stop using tmpnam, it is no longer supported in perl 5.26
  (bsc#1061620)
- 4.0.0
* Thu Jul 27 2017 jreidinger@suse.com
- move from yast2 agent for reading /content to support install of
  old distros, as other parts of YaST2 already drop reading of
  /content (FATE#322386)
- 3.3.0
* Wed Jun  1 2016 igonzalezsosa@suse.com
- Drop yast2-instserver-devel-doc package (fate#320356)
- 3.1.5
* Fri Feb 13 2015 ancor@suse.com
- The unit tests are now compatible with RSpec 3
- 3.1.4
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Tue Oct 14 2014 lslezak@suse.cz
- added support for SLE12 products (bnc#900660)
- write "cpeid" attribute to SLP configuration (SLE12 products
  only)
- save FTP firewall port configuration option
- install "nfs-kernel-server" package when NFS server is selected
  (missing in minimal system)
- fixed Apache configuration template to work with Apache 2.4.x
- 3.1.2
* Wed Nov 13 2013 jreidinger@suse.com
- Add explicit COPYING file
* Wed Sep 18 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Sep  4 2013 jsuchome@suse.cz
- remove dependency on yast2-slp
- 3.0.1
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Wed Jul 24 2013 lslezak@suse.cz
- removed obsoleted documentation network-install.pdf (described
  SLES9 installation media)
- split the development documentation to devel-doc subpackage
- 2.24.1
* Mon Apr 15 2013 lslezak@suse.cz
- dialogs.ycp - added missing import/include (found by YCP -> Ruby
  translation)
- 2.24.0
* Thu Mar 29 2012 jsuchome@suse.cz
- merged proofed texts
* Thu Sep 29 2011 visnov@suse.cz
- set dialog title
- 2.21.1
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Thu Jun 30 2011 lslezak@suse.cz
- fixed a typo (bnc#703123)
- 2.21.0
* Tue Jun 29 2010 lslezak@suse.cz
- fixed creating SLP reg. files: fixed reading supported
  architectures from content file (bnc#608834), fixed also for
  SLES10 repositories (bnc#616307)
- fixed reescaping already escaped values
- 2.19.0
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Tue Sep 22 2009 lslezak@suse.cz
- added minimal command line support (help command) (bnc#531593)
- 2.18.3
* Thu Aug 20 2009 lslezak@suse.cz
- Improved dialog title (bnc#532738)
- 2.18.2
* Tue Jun 16 2009 mvidner@suse.cz
- Using autodocs-ycp.ami, which contains a fix for automake 1.11.
* Wed Apr  8 2009 lslezak@suse.cz
- propose "/srv/install" as the default location (bnc#462556)
* Wed Apr  8 2009 lslezak@suse.cz
- fixed SLP config - escape special characters and use [] brackets
  instead of (), they have special meaning (bnc#492367)
- 2.18.1
* Wed Mar 18 2009 lslezak@suse.cz
- write correct IP address to SLP config file when there is no eth0
  device (bnc#475676)
- add 'no_subtree_check' option to NFS exports
- 2.18.0
* Fri Dec 19 2008 lslezak@suse.cz
- do not configure vsftpd in xinetd mode if it's set to standalone
  mode in the config file (bnc#438694)
* Wed Oct 15 2008 lslezak@suse.cz
- fixed UI syntax error when asking for a CD (bnc#435658)
- minor code11 fixes - remove cut blanks from content file values,
  use NAME key (instead of PRODUCT) (bnc#428463)
- 2.17.3
* Tue Oct 14 2008 lslezak@suse.cz
- fixed adding of a removed repository - do not remove the new
  repository at the and, remove it immediately (bnc#187280)
- support for SLES8 sources (bnc#265858)
- 2.17.2
* Wed Sep 10 2008 lslezak@suse.cz
- merged proofread texts (2008-09-08)
- 2.17.1
* Wed Jul 30 2008 lslezak@suse.cz
- fixed service name in the firewallconfiguration, install the
  needed packages before reading service files (bnc#403377)
- added firewall config in the FTP server configuration dialog
- 2.17.0
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Wed Apr 30 2008 lslezak@suse.cz
- fixed .spec file (removed left over agent files)
- 2.16.5
* Tue Apr 29 2008 lslezak@suse.cz
- ag_content agent moved to yast2.rpm (bnc#339126)
- 2.16.4
* Tue Apr 15 2008 lslezak@suse.cz
- merged proofread texts (2008-04-15)
- 2.16.3
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
- 2.16.2
* Thu Mar 13 2008 lslezak@suse.cz
- added missing translation mark (#366082)
- 2.16.1
* Fri Mar  7 2008 lslezak@suse.cz
- check the network service status at startup (#308662)
- fixed path in the slp.reg file (add "/CD1") (#365187)
- 2.16.0
* Mon Dec 10 2007 lslezak@suse.cz
- merged proofread texts (2007-18-23)
* Mon Nov 19 2007 locilka@suse.cz
- Unified used terminology (repositories) (FATE #302970).
* Thu Jul 19 2007 lslezak@suse.cz
- "installation source" changed to "repository"
- 2.15.4
* Fri Jun  8 2007 lslezak@suse.cz
- added support for OES1 (#84086)
- 2.15.3
* Thu Feb 15 2007 lslezak@suse.cz
- configure firewall in the network setup dialogs (#243326)
- install required packages for the selected service
- preserve modified attributes in SLP reg file (#238957)
- remove the old reg file when a source is renamed
- 2.15.2
* Tue Dec 19 2006 lslezak@suse.cz
- install apache2 when a HTTP source is configured (#192147)
- 2.15.1
* Wed Dec  6 2006 lslezak@suse.cz
- write hostname to SLP registration file (#158172)
- 2.15.0
* Mon Nov 13 2006 lslezak@suse.cz
- 2.14.0
* Wed Aug 16 2006 lslezak@suse.cz
- support for SLE10 Service Pack (#192063)
- 2.13.12
* Thu Jun  8 2006 lslezak@suse.cz
- display an error message when copying files fails (#179387)
- 2.13.11
* Wed Jun  7 2006 lslezak@suse.cz
- fixed the workflow - configure the server at first (#179766)
- refresh MD5SUM files in a standalone product only when it's
  required (number of CDs is 2 or more)
- 2.13.10
* Thu May 18 2006 lslezak@suse.cz
- ask for an add-on product only if the product is pre-CODE10
  (#170729)
- don't touch MD5SUMS file in setup/descr subdir (SHA1 sum is in
  signed content file, it could potentionally break signed sources)
- don't recreate MD5SUMS for standalone products
- read content file from CD1 only once (required for SLES9, there
  is CORE9 CD1)
- 2.13.9
* Tue May 16 2006 jsuchome@suse.cz
- recreate MD5SUMS files after copying CDs (#175040)
* Fri May 12 2006 jsuchome@suse.cz
- when creating installation source, use the content file from
  first CD and create actual directory.yast (#171157)
- 2.13.8
* Thu Mar  2 2006 lslezak@suse.cz
- removed yast2-devel-packages macro from .spec file
- 2.13.7
* Mon Dec 19 2005 jsuchome@suse.cz
- merged texts from proofreading
- 2.13.6
* Wed Oct 26 2005 lslezak@suse.cz
- use rescue file (and other files) from a service pack (#95413)
- fixed creating of the order files
- remove deleted sources correctly
- workaround for NLD9 (#128062)
- 2.13.5
* Wed Oct 19 2005 lslezak@suse.cz
- remove partialy configured source if configuration is aborted
- use a new popup for copying additional media instead of
  the checkbox
- fixed help texts
- 2.13.4
* Tue Oct 11 2005 lslezak@suse.cz
- don't reset xinetd configuration when FTP service is
  set up (#121885)
- 2.13.3
* Fri Oct  7 2005 lslezak@suse.cz
- updated the help texts
- 2.13.2
* Wed Oct  5 2005 lslezak@suse.cz
- CD drive is configurable (instead of hardcoded /dev/cdrom)
- split the configuration dialog, the workflow adapted
- also edit/delete files in the repository
- 2.13.1
* Fri Sep 30 2005 lslezak@suse.cz
- use WizardHW for the overview dialog, code cleanup
- MountBind() fixed
- 2.13.0
* Thu Aug 11 2005 visnov@suse.cz
- mark up help examples according to the style guide
* Thu Jul 28 2005 lslezak@suse.cz
- updated desktop file
- 2.12.3
* Thu May 26 2005 lslezak@suse.cz
- update SLP registration file when export type (FTP,NFS...)
  is changed, remove it when SLP is disabled (#83909)
- 2.12.2
* Tue May 17 2005 lslezak@suse.cz
- another fix for FTP configuration (#82861)
- 2.12.1
* Tue May 17 2005 lslezak@suse.cz
- fixed FTP source configuration (#82861)
- 2.12.0
* Wed Feb  9 2005 nashif@suse.de
- Save configuration data into /etc/YaST2/instserver
* Mon Nov 15 2004 nashif@suse.de
- Fixed sformat syntax
* Fri Nov  5 2004 nashif@suse.de
- #47946: YaST2 install server module requests "NUX Exnterprise.."
- #47936: YaST installation server module asks for SLES9-SP1 CD4
* Tue Nov  2 2004 nashif@suse.de
- #47701: announcing instserver dir via slp does not work
- #47564: yast2-installserver fails to configure httpd
- #47599: YaST "Installation Server" does not accept SP1 CD2 iso
* Sat Oct  9 2004 nashif@suse.de
- #47047: Service pack not copied correctly because of special
  format(hardlinks).
- Use flag SP to identify Service pack CD
* Tue Aug 10 2004 nashif@suse.de
- Disable test mode
* Tue Aug 10 2004 nashif@suse.de
- If required packages cant be installed, return to setup screen.
  (#43628)
* Mon Aug  9 2004 nashif@suse.de
- SLP not functional after adding sles9 and sles9 eval (#43466):
  Now we use the product ID to distinguish between sources with
  same Label.
  Also detect if same product ID is already available and add a
  counter to description attribute to make it unique
* Wed Jul  7 2004 nashif@suse.de
- Install Server setup doesn't work for SuSE Linux 9.1 (#42536)
* Wed May 26 2004 nashif@suse.de
- Added documentation about network installation
* Tue May 25 2004 nashif@suse.de
- Fixed label and requested CD for Service Packs and  addon products
  (#40816 )
* Thu May 20 2004 nashif@suse.de
- instorder file has only one column according to the specification
* Mon May 17 2004 nashif@suse.de
- Add +FollowSymLinks to apache configuration
* Mon May 17 2004 nashif@suse.de
- Use product name from media file (#40656)
- Allow dot in source name (#40657)
* Thu May 13 2004 nashif@suse.de
- Fixed dialog loop when checking for directory permissions (#40260)
* Mon May 10 2004 nashif@suse.de
- Ask for the right Product CD if product is based on something
  else.
- check if slp server is running and start it if not. (#40260)
- check if directory to contain sources is writable (#40260)
* Mon May 10 2004 nashif@suse.de
- Do not allow special charachters in source name (#40260)
* Fri Apr 30 2004 nashif@suse.de
- dont announce empty attributes (#39669)
- content file of base product changed (#39276)
* Fri Apr 16 2004 nashif@suse.de
- Create multiple sources using CORE/SLES installation media
- Reload SLP daemon when needed only
- Support additional product media
* Fri Apr  2 2004 nashif@suse.de
- License changed to GPL
* Fri Mar 12 2004 nashif@suse.de
- Use apache2
- 2.9.6
* Tue Mar  9 2004 nashif@suse.de
- disabled test mode
- 2.9.5
* Fri Mar  5 2004 nashif@suse.de
- strict types
- 2.9.4
* Tue Mar  2 2004 nashif@suse.de
- Renamed agent to avoid conflict
- 2.9.3
* Mon Mar  1 2004 nashif@suse.de
- Merged proofread texts
- 2.9.1
* Sun Feb 29 2004 nashif@suse.de
- Support for SLES8/ SLES8 products
- Support for adding from ISO images
- HTTP/NFS/FTP support
* Tue Feb 10 2004 nashif@suse.de
- initial version
